/*
** id:      pisces1.h 2016-03-21 04:01PM ALR
*******************************************************************************
** Copyright (c) 2002-2015 The ROMS/TOMS Group                               **
**   Licensed under a MIT/X style license                                    **
**   See License_ROMS.txt                                                    **
*******************************************************************************
**
** Options for Pisces Nest 1
**
** Application flag: PISCES NEST 1
**
** Input scripts:   ocean_pisces1.in
*/

/* Model Physics                                                         */
#define SOLVE3D
#define UV_ADV  /* use to turn ON or OFF advection terms                 */
#define UV_COR  /* use to turn ON or OFF Coriolis terms                  */
#define UV_VIS2
#define TS_DIF2 
#define SALINITY
#define NONLIN_EOS
/*#define MY25_MIXING */

/* #define LMD_MIXING */  
# if defined LMD_MIXING
#define LMD_RIMIX 
#define LMD_CONVEC 
#define LMD_NONLOCAL 
#define LMD_SKPP 
#define LMD_BKPP
/* #define LMD_DDMIX */
/* #define LMD_SPLINES */
# endif

#define GLS_MIXING
#if defined GLS_MIXING 
#define N2S2_HORAVG
#define KANTHA_CLAYSON
#define RI_SPLINES
#endif

/* Numerical Schemes      */
#define TS_U3HADVECTION                                
#define TS_C4VADVECTION  
#define SOLAR_SOURCE   
/*#define TS_A4VADVECTION */
/*#define TS_A4HADVECTION */                               
#define DJ_GRADPS /* use if splines density Jacobian (Schepetkin, 2000)  */
#define MIX_S_UV
#define MIX_S_TS
/*#define SPLINES_VDIFF */
/*#define SPLINES_VVISC */

/* Bottom Boundary Conditions    */
#define UV_QDRAG
#define ANA_BTFLUX /* use if analytical bottom temperature flux          */
#define ANA_BSFLUX /* use if analytical bottom salinity flux             */

/* OPTIONS for analytical fields configuration: */
/*#define ANA_SMFLUX */
/*#define ANA_STFLUX /* use if analytical surface net heat flux            */
/*#define ANA_SSFLUX /* use if analytical surface salinity flux            */
/* #define ANA_SRFLUX /* use if analytical surface shortwave radiation flux */

/*
**-----------------------------------------------------------------------------
** Variational Data Assimilation
**-----------------------------------------------------------------------------
*/

/*
**  Options to compute error covariance normalixation coefficients
*/
#ifdef NORMALIZATION
# define ADJUST_BOUNDARY
# define ADJUST_WSTRESS
# define ADJUST_STFLUX
# define CORRELATION
# define VCONVOLUTION
# define IMPLICIT_VCONV
# define FULL_GRID
# define FORWARD_WRITE
# define FORWARD_READ
# define FORWARD_MIXING
# define OUT_DOUBLE
#endif

/*
**  Options for adjoint-based algorithms sanity checks.
*/

#ifdef SANITY_CHECK
# define FULL_GRID
# define FORWARD_READ
# define FORWARD_WRITE
# define FORWARD_MIXING
# define OUT_DOUBLE
# define ANA_PERTURB
# define ANA_INITIAL
#endif

/*
**  Common options to all 4DVAR algorithms.
*/

#if defined ARRAY_MODES || defined CLIPPING            || \
    defined IS4DVAR     || defined IS4DVAR_SENSITIVITY || \
    defined W4DPSAS     || defined W4DPSAS_SENSITIVITY || \
    defined W4DVAR      || defined W4DVAR_SENSITIVITY  
# define ADJUST_BOUNDARY 
# define ADJUST_WSTRESS
# define ADJUST_STFLUX
/*# define NL_BULK_FLUXES*/
# define VCONVOLUTION
# define IMPLICIT_VCONV
# define BALANCE_OPERATOR
# ifdef BALANCE_OPERATOR
#  define ZETA_ELLIPTIC
# endif
# define FORWARD_WRITE
# define FORWARD_READ
# define FORWARD_MIXING
# define OUT_DOUBLE
#endif

#if defined S4DVAR
# define VCONVOLUTION
# define IMPLICIT_VCONV
# define FORWARD_WRITE
# define FORWARD_READ
# define FORWARD_MIXING
# define OUT_DOUBLE
#endif

/*
**  Special options for each 4DVAR algorithm.
*/

#if defined ARRAY_MODES || \
    defined W4DVAR      || defined W4DVAR_SENSITIVITY
# define RPM_RELAXATION
#endif
